AutoCAD Inventor :: ILogic Sketch Curve Counter
Apr 17, 2013
Much of our work is structures fabricated from steel plate. One of our practices is to add a note " (SK) " to the description of plates that have a detailed sketch somewhere in the fab drawing set (simple rectangular or circular plates with no additional features do not get these detailed sketches). The actual "detailed sketch" is just a dimensioned drawing view of that plate.
I've been working on automating this process so that Inventor can actually determine for the user whether or not the sketch is required. I have it in certain part templates by default. Other templates add the note automatically through iLogic when certain plate features are selected, or when the model consists of multiple part features.
This leaves one remaining case that the current set of rules can't catch - when the user creates cutouts, notches, etc. by modifying the sketch for the original extrusion. I have determined a method for catching that case, but haven't yet figured out how to program it.
What I want to do is count all of the lines, arcs, and circles in the first model sketch. If that count returns a number other than 4 lines, the note will be added. If any arcs are detected, the note will be added. If any circles are detected with lines also present, the note will be added. There may be other cases that will come up in testing that need to be covered, but I ran into an issue before I got that far. Construction geometry messes up the count - I need a way to exclude it.
Below is the test code I have so far for the counter. what techniques I can use to get construction geometry out of the count. This code doesn't include the provisions for actually adding the note yet - I'm just trying to get the counter working right first. Instead it's just displaying the total count in a message box for test purposes.
oDoc=ThisDoc.Document
oSketch=oDoc.ComponentDefinition.Sketches.Item(1)
LineCount=oSketch.Sketchlines.count
CircleCount=oSketch.SketchCircles.count
ArcCount=oSketch.SketchArcs.count
TotalCount=LineCount+CircleCount+ArcCount
MessageBox.Show("Total Count "&TotalCount, "Title")
View 3 Replies
ADVERTISEMENT
Jan 13, 2014
I'm building a product configuration which includes some helical curves. I want to find out how I can change the direction of a Helical curve feature in a 3D sketch.
Variables like pitch and diameter are parameters, but the direction isn't.
View 6 Replies
View Related
Mar 17, 2013
I'm just starting out with learning equation curves in Inventor.How can I get this curve
r(t)= ti + 4cos tj +9sin tk; where t is greater than or equal to 0
how to get this VBA as an equation curve
View 2 Replies
View Related
Jul 26, 2013
I am trying to create a coil which from above, retains equal and thus parallel pitches whilst at the same time adheres to a semi-circular form in the cross section. You can see from the images attached that the first two revolutions are larger than the semi-circle outline.
These are the values I have used:
Cylindrical
r (t): 134.56924424045517662353735770102mm * t * 0.5
q(t): 1 deg * 360 ul * 3.0 ul * t
z(t): 10 mm * 6 ul * 0.5 ul * t * (1.5 * t) * t
tmin: 0 ul
tmax: 0.916 ul
View 9 Replies
View Related
Sep 14, 2012
I made a bunch of lines, then used the bend command to make curves where they intersected. I'm trying to put lines connecting A to C and B to D. How do I constrain the ends of the lines to the center of the curves?
View 9 Replies
View Related
Sep 19, 2013
I would like to use a sketch as the basis for a rectangular pattern which is set up to use the curve length for both directions of the rectangular pattern so that when I update my rectangle in a sketch, the pattern automatically adjusts to the new sketch. I have sketched a rectangle, and used one leg of the rectangle to establish the direction and length of one dimension of the array.
However, when I try and choose the Direction 2, my only options are the entire rectangle or faces- I can no longer select other and choose a single side of the rectangle.
I was able to accomplish what I wanted by using two sketches, with the second sketch simply projecting one leg from the first sketch. Using one sketch just seems inherently safer than trusting projected geometry.Is there a way to accomplish this with one sketch instead?
Inventor 2013 (SP2 Update 2), Windows 7 Professional (64-bit), SP1, Intel Xeon 3.07GHz CPU, 12GB RAM, NVIDIA Quadro 2000, Vault Basic 2013
View 2 Replies
View Related
Nov 1, 2013
I am trying to create a 3D sketch of a helical curve that has an accelerated pitch.
View 2 Replies
View Related
Jun 24, 2013
I want to replace view labels in drawings with sketch symbols to get a different appearance to my drawings. (As far as i know it is not possible to change the appearance of the standard view label.) See attached snap of my desired view label.
I have used i logic on several occasions successfully but im not experienced at all. The way I see this working is for a sketch symbol to be inserted below a view when it is created,the standard view label being omitted & the Scale/Name/Sheet details linking to the sketch symbol through parameters.
View 3 Replies
View Related
Sep 13, 2011
Is there some method to get the extents (i.e. bounding box) of a sketch? I'd like the vertical and horizontal dimension.
View 1 Replies
View Related
Oct 20, 2011
I need to draw in a sketch on a drawing. The sketch is created OK, but I get the error "The parameter is incorrect. (Exception from HRESULT: 0x80070057 (E_INVALIDARG))" at Call oSketch.SketchLines.AddByTwoPoints.
Dim oSketch As DrawingSketch
oSketch=ThisDrawing.ActiveSheet.Sheet.sketches.add
Dim oTranGeo As TransientGeometry
oTranGeo = ThisApplication.TransientGeometry
' Draw two point line in the sketch.
Call oSketch.SketchLines.AddByTwoPoints(oTranGeo.CreatePoint2d(10 * 2.54, 10 * 2.54), oTranGeo.CreatePoint2d(30 * 2.54, 45 * 2.54))
View 3 Replies
View Related
Oct 1, 2013
I am trying to create a sketch symbol with info about the first view on a sheet. It seems to work fine with any of the properties built in, but I am trying to include the scale. There are lots of posts about putting scale in a title block, but I can't seem to get the same code to work for a sketch symbol.
View 5 Replies
View Related
Apr 19, 2012
How do i target a specific sketch symbol within a view and control it with iLogic?
View 9 Replies
View Related
Aug 15, 2013
I want Inventor to add sketch symbols automaticly on cordinates according to a Custom Text Paramater
for example I have created Custom Multi Value Text User parameter Approved & Not Approved or Plate Work Notes & SteelWork Notes wich each represent diffrent sketch symbols that needs to be placed out base on the value selected. Each sheet consist of diffrent sketch symbols
View 1 Replies
View Related
Mar 21, 2012
insert a sketch symbol to a specific coordinate on a dwg border (top middle of dwg)
Workflow needed is as follows
Copy Sketched symbol folder from Standard.dwg from (C:UsersPublicDocumentsAutodeskInventor 2012Templates.Paste into open dwg document and yes to all to overide symbolsPlace a named sketched symbol from drawing resources folder ie (PRELIMINARY) to top center of all sheets within documentreturn to first sheet when complete My new dwg has symbols in correct place so any new dwgs this is ok but we need to add it to hundreds of dwgs when opened or revised,so i want to tie this to external rule and trigger on save event.
View 9 Replies
View Related
Jul 11, 2012
I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.
Here is the code process I envision:
1. Automatically select a straight line.
2. Find the location of its end points.
3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).
4. If they are vertically aligned, apply a vertical constraint.
5. Select next line and repeat.
Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.
View 4 Replies
View Related
Feb 29, 2012
How do I turn sketch visibility on and off using ILogic rules.
View 3 Replies
View Related
Apr 25, 2013
The company I'm working for is moving toward standardising all plant designs. iLogic appears to be the best way for rapidly producing assemblies that keep to a standard.
My new task is to automate the adding of walkways (including hand rails) to large plants. My idea is that walkways would be added to the plant similar to how frame generator works. The draftsman would draw a sketch on a plane around the structure. He would then run a form (That looks like the frame generator form).He would select the lines, a rule would capture the length of that line, pattern the standard walkway along the line until the line intersection, add a corner walkway, and then pattern the straight walkways again.
1) I do not know the ilogic code in order to 'get' a length from the lines that the user selects.
2) how does one constrain the center line of a part to a sketch line.
The second idea I had to create the walkway is (without a sketch), was to have a form that has a dropdown list of all the standard walkway pieces. The form would work almost like adding a bolted connection to an assembly (e.g. bolt, washer, nut, washer, nut). The draftsman would for instance, choose an straight 800mm part, a 1200mm part, a corner(left), a 1200mm part. Each walkway assembly piece, would then be added to the main assembly in the correct order and constrained. BTW, is there any book with all the inventor iLogic code, function and uses? I have found myself pouring though so many forums and picking up bits and pieces, but no actual instruction.
View 2 Replies
View Related
May 1, 2013
Here I attached my model view it's just for reference here iam using rectangular pattern and simple ilogic code .Using rectangular pattern we will get all same sizes of boxes but i want to change different different sizes and positions. my idea is without using pattern just draw one rectangular through parameter. Select no. of compartments automatically copy and paste that rectangular in same sketch plane and ask sizes and positions dimensions.
It's possible through ilogic?
In my panel bar options are:
Hight of panel- Hight of panel
width1- Width of panel
Depth1-Depth of panel
com1- no.of Compartments
hIN- No.of Hinges
View 1 Replies
View Related
Jul 28, 2013
I've managed to cobble this code together to turn some sketch visibilities on and off. However, what I'd really like to do is have a single sketch containing some blocks, and turn the visibility of the blocks on and off... How to call the blocks -
'Iterate through the sketches collection'Turn the edging indicators On And Off
For Each oSketch In oDoc.ComponentDefinition.Sketches Select Case
oSketch.NameCase "Front Edged"If E01 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Top Edged"If E02 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Back Edged"If E03 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfCase "Base Edged"If E04 = True Then
oSketch.Visible = TrueElse oSketch.Visible = FalseEnd IfEnd SelectNext
View 2 Replies
View Related
Jun 17, 2012
My iLogic ability is quite limited outside of what I use regularly?
I am trying to change the font style in every text definition in all my sketch symbols in one go. Actually I have started it based on only a selection set but I would be happy with just all symbols too. Below is where I got to, I am stuck on the For Each line to cover each text box in the symbol. Some of the other syntax may not be right either but I can't test it all the way through.
Dim oDoc As DrawingDocument: oDoc = ThisApplication.ActiveDocumentDim oSheet As Sheet: oSheet = oDoc.ActiveSheetDim i As LongDim oSymDef As SketchedSymbolDefinition: oSymDef = oDoc.SketchedSymbolDefinitions.Item(i)Dim oText As TextBoxesFor i = 1 To oDoc.SelectSet.CountFor Each oText In ............oSymDef.TextBoxes.Item(i).FormattedText ="<StyleOverride Font='ARIAL'>...< /StyleOverride>"NextNextInventorVb.DocumentUpdate()
Also the XML style override is not complete if this is the only way to achieve this result.
Inventor Professional 2013, Autodesk Simulation Multiphysics 2013
Windows 7 x64 Core i7 32GB Ram FX2000
View 6 Replies
View Related
Aug 5, 2013
I have a template that I have created, in it I have a rule that changes the stock number and description based on which sheet metal rule is selected. The weird thing is it works correctly if the first sketch is a rectangle. If you sketch a circular shape and make that the face it will not work. It blanks out the values for the stock number and description.
I'm running Inventor 2014 update 2.
Format:HTML Format Version:1.0 StartHTML: 165 EndHTML: 33212 StartFragment: 314 EndFragment: 33180 StartSelection: 314 EndSelection: 314
SyntaxEditor Code Snippet
DimiPropValAsString=""
DimiPropDesAsString=""
SelectCaseSheetMetal.GetActiveStyle()
[code]...
View 1 Replies
View Related
Jan 3, 2012
I'm currently using Inventor Professional 2012, and have been experiencing problems with virtual memory usage. In past versions of Inventor, the small bar graph counter at the bottom right-hand corner of the screen (Virtual memory counter? Not sure what to call it...) would "re-fresh" after closing a model, drawing, etc. (i.e. Once closing the file, the counter would change from yellow to green, bringing the virtual memory usage back to zero). However, this isn't happening with 2012, and I'm not sure if the problem is the way Inventor was installed onto my workstation, or if it's a problem with the hardware. A temporary solution has been to shut down Inventor when the bar graph gets too far into the yellow range (or red), and then starting up Inventor again.
Specs for my workstation are as follows: Windows 7 (32-bit), processor is Intel(R) Xeon(R) CPU W3503 @ 2.4GHz 2.39GHz, 3GB RAM.
View 3 Replies
View Related
Feb 11, 2013
how to dump the counter of parameters of model:
d0, d1, d10, d12
became
d0, d1, d2, d3
View 4 Replies
View Related
Dec 5, 2012
In inventor 2013 simulation what is the way to test a fabrication for counter balanced weight stability?
If you see the enclosed rough assembly. I have been playing with variouse stuff and not getting the results i want.
The idea is to work out how much weight the arm will hold without tipping over. and then by increasing the base size and weight or arm length i can then work out the ultimate design for my needs.
The way i want it to work is so that the base is just sitting on the floor as in real life with gravity and weight keeping it there and then as i apply weight to the arm see the tipping or load effect.
This upload is simple and i constrained the base via an axis on the edge put as soon as i run the symulation it just tips over and it shouldnt?
I have tried many other things but get a variety of results like the base suddenly flying off and a thousand miles an hout due to the contacts used ?
View 9 Replies
View Related
May 9, 2013
Any way to show clearly that there are counter bores on both sides of a plate. It does show the dotted lines for when it is on the down side of the plate, but in some sections i have a counter bore of the same diameter on both sides of the plate. Is my best bet just to to create two drawings of the upper and lower faces?
Also i've been trying to use the hole tables, something thats new to me, and i can get all the holes coming up, but im unable to get them to show up as actual counter bores, instead it shows up as two entries.
View 3 Replies
View Related
Oct 28, 2013
what information regarding countersunk holes is exposed in the Inventor API? Can we extract individual values for the countersink diameter, the countersink angle and the through/straight hole diameter and depth?
While I'm at it, is there an in-depth reference document (PDF) for all of this information. The only thing I could find was an image of the object model but that only gets you so deep and doesn't have an explanation of any of the properties shown on the chart. (I tried searching for various hole-related properties shown on the chart and got zip.)
View 1 Replies
View Related
Feb 19, 2013
I want to draw hyperbola curve whose equation is x^2/a^2 - y^2/b^2=1. May I use equation curve tool to make the above hyperbola.
I have also made a hyperbola curve of aforesaid equation through conventional method on mathematical ground in the past.
View 2 Replies
View Related
Apr 17, 2012
If i want to see how stable a design is before it tips over after adding counter balanced weights etc. How would i set this up in dynamic simulation?
what i want to do is to mess about by distributing weights at key points to see how the model behaves / how stable it is, and i want to test it until it falls over, this will enable me to test it to it's limits.
I assume i need to place the design on a surface / floor with gravity on and set to the floor. it must be free standing initially.
the item needs to sit on the floor but must not be held back by any constraints so what contact do i use, would it be a spatial contact between the floor and the base component?
View 2 Replies
View Related
Sep 21, 2011
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013
View 2 Replies
View Related
Sep 20, 2012
How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?
I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations. Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.
I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist. I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.
I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way. I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option. I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.
View 4 Replies
View Related
Dec 3, 2013
I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.
Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; }
View 2 Replies
View Related